## GucharmapChaptersModel GucharmapChaptersModel |

## Synopsis

                        GucharmapChaptersModelPrivate;
                        GucharmapChaptersModel;
    GucharmapCodepointList * gucharmap_chapters_model_get_codepoint_list
                                                            (GucharmapChaptersModel *chapters,
                                                             GtkTreeIter *iter);
    const char *        gucharmap_chapters_model_get_title  (GucharmapChaptersModel *chapters);
    GucharmapCodepointList * gucharmap_chapters_model_get_book_codepoint_list
                                                            (GucharmapChaptersModel *chapters);
    gboolean            gucharmap_chapters_model_character_to_iter
                                                            (GucharmapChaptersModel *chapters,
                                                             gunichar wc,
                                                             GtkTreeIter *iter);
    gboolean            gucharmap_chapters_model_id_to_iter (GucharmapChaptersModel *model,
                                                             const char *id,
                                                             GtkTreeIter *iter);

## Object Hierarchy

      GObject
       +----GtkListStore
             +----GucharmapChaptersModel
                   +----GucharmapBlockChaptersModel
                   +----GucharmapScriptChaptersModel

## Implemented Interfaces

GucharmapChaptersModel implements GtkTreeModel, GtkTreeDragSource, GtkTreeDragDest, GtkTreeSortable and GtkBuildable.

## Description

## Details

### GucharmapChaptersModelPrivate

    typedef struct _GucharmapChaptersModelPrivate GucharmapChaptersModelPrivate;

### GucharmapChaptersModel

    typedef struct _GucharmapChaptersModel GucharmapChaptersModel;

### gucharmap_chapters_model_get_codepoint_list ()

    GucharmapCodepointList * gucharmap_chapters_model_get_codepoint_list
                                                            (GucharmapChaptersModel *chapters,
                                                             GtkTreeIter *iter);

`chapters` : | a GucharmapChaptersModel
`iter` : |
Returns : | a reference to a GucharmapCodepointList representing all the characters in all the chapters. It should not be modified, but must be `g_object_unref()`'d after use.

### gucharmap_chapters_model_get_title ()

    const char *        gucharmap_chapters_model_get_title  (GucharmapChaptersModel *chapters);

`chapters` : |
Returns : |

### gucharmap_chapters_model_get_book_codepoint_list ()

    GucharmapCodepointList * gucharmap_chapters_model_get_book_codepoint_list
                                                            (GucharmapChaptersModel *chapters);

`chapters` : |
Returns : |

### gucharmap_chapters_model_character_to_iter ()

    gboolean            gucharmap_chapters_model_character_to_iter
                                                            (GucharmapChaptersModel *chapters,
                                                             gunichar wc,
                                                             GtkTreeIter *iter);

`chapters` : | a GucharmapChaptersModel
`wc` : | a character
`iter` : | a GtkTreeIter
Returns : | `TRUE` on success, `FALSE` on failure.

### gucharmap_chapters_model_id_to_iter ()

    gboolean            gucharmap_chapters_model_id_to_iter (GucharmapChaptersModel *model,
                                                             const char *id,
                                                             GtkTreeIter *iter);

`model` : |
`id` : |
`iter` : |
Returns : |